Community Packages

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#74873 - [kubelet] fails to start by attempting to use deprecated flag "--cni-bin-dir"

Attached to Project: Community Packages
Opened by Jonathon Waterhouse (jwtrhs) - Saturday, 28 May 2022, 05:59 GMT
Last edited by David Runge (dvzrv) - Wednesday, 24 August 2022, 17:59 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To David Runge (dvzrv)
Christian Rebischke (Shibumi)
Morten Linderud (Foxboron)
Architecture All
Severity High
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 1
Private No

Details

Description:

kubelet.service fails to start.

The latest version of kubelet no longer supports the --cni-bin-dir flag, which is set in the KUBELET_ARGS environment variable in the file "kubelet.env" and referenced by the unit file.

Additional info:
* package version(s): 1.24.1
* link: https://kubernetes.io/docs/reference/command-line-tools-reference/kubelet/ the cni-bin-dir flag had been marked as deprecated

Steps to reproduce:

1. pacman -S kubelet
2. systemd kubelet start
3. Service will not start due to above error.
This task depends upon

Closed by  David Runge (dvzrv)
Wednesday, 24 August 2022, 17:59 GMT
Reason for closing:  No response
Comment by Anselm Way (0xAnselm) - Friday, 17 June 2022, 16:30 GMT
This was a piece of information I didnt have and that cost me a lot of time to figure out. What I did to circumvent this problem was to delete the flag "--cni-bin-dir" and to place a drop-in file in /etc/crio/crio.conf.d/ with this content (cat 00-plugin-dir.conf):

[crio.network]
plugin_dirs = [
"/opt/cni/bin/",
]
Comment by David Runge (dvzrv) - Thursday, 21 July 2022, 10:46 GMT
@jwtrhs: Thanks for the ticket. That has indeed been an oversight.
If you have capacity to test things, please activate testing and help test kubernetes components (they are usually left in testing for one or two weeks before moving them to the stable repos).

0xAnselm: Thanks for adding that to the wiki (https://wiki.archlinux.org/title/Kubernetes#Configuration)!
Does this still fail without the cri-o config addition if you only remove the configuration option in /etc/kubernetes/kubelet.env?
Comment by David Runge (dvzrv) - Thursday, 21 July 2022, 11:03 GMT
Kubernetes 1.24.3-1 is now in [community-testing]. Please report back whether this fixes this for you.

@0xAnselm: As your issue is sort of unrelated (it's related to the container-runtime provided by cri-o), please regard this separately. Also, this issue is covered in cri-o's wiki page since September last year: https://wiki.archlinux.org/title/CRI-O#Plugin_Installation
If you think there is room for improval for cri-o, please open a ticket against that.
Comment by Anselm Way (0xAnselm) - Thursday, 21 July 2022, 11:10 GMT
@dvzrv: I haven't checked since june so I cannot really answer. But I think it could still fail. Sorry for uncertain answer.

Loading...